Subject: Re: Allow slash in alternation patterns in limited cases?
From: Peter Stephenson <[email-masked]>
To: zsh workers <[email-masked]>
Date: Mon, 11 Apr 2016 12:07:16 +0100
List-Id: Zsh Workers List <zsh-workers.zsh.org>

On Mon, 11 Apr 2016 12:47:21 +0200
Mikael Magnusson <[email-masked]> wrote:
> Maybe I misunderstood your original point. I thought you meant making
> (foo/bar|baz/bong) work in a glob would make it more incompatible with
> pattern matching, but it already works there.

The point is that, unlike the ~ case which is just a flag passed in to
the pattern match parser, it would longer done by pattern matching at
all.  It would be done in the glob code.  The pattern match code would
see the foo, bar, baz, bong, and it would it be reassembled higher up.
So it's not so much incompatible as something utterly different.

pws